Summary:	Music DJing software
Name:		mixxx
Version:	1.10.1
Release:	%mkrel 3
Group:		Sound/Players
License:	GPLv2+
URL:		http://mixxx.sourceforge.net/
Source:		http://downloads.mixxx.org/%{name}-%{version}/%{name}-%{version}-src.tar.gz
Patch1:		mixxx-1.7.0-ffmpeg-headers.patch
Patch2:		mixxx-1.9.0-remove-track-include.patch
BuildRequires:	libsndfile-devel
BuildRequires:	qt4-devel >= 4:4.6
BuildRequires:	pkgconfig(QtWebKit) >= 4.6
BuildRequires:	fftw-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	jackit-devel
BuildRequires:	audiofile-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libtaglib-devel
BuildRequires:	mad-devel
BuildRequires:	mesaglu-devel
BuildRequires:	sndfile-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	portaudio-devel >= 0.19
BuildRequires:	libdjconsole-devel
BuildRequires:	ladspa-devel
BuildRequires:	libusb-devel
BuildRequires:	libgpod-devel
BuildRequires:	libshout-devel
BuildRequires:	portmidi-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	sed
BuildRequires:	scons
BuildRequires:	imagemagick
Requires:	qt4-database-plugin-sqlite
%py_requires -d

%description
Mixxx allows DJs to mix music live with a clean, simple interface.
Futhermore, Mixxx has a number of key features to help DJs in the mix:
Beat estimation, parallel visual displays, and support for various DJ
hardware controllers.

Mixxx can be controlled through the GUI using the mouse, or by
connecting MIDI devices to the computer. Commercial and custom build
MIDI controllers can be used. The mapping between functions and MIDI
controller values are done in text files. 

%prep
%setup -q
%patch1 -p1
%patch2 -p0

%build
sed -i -e "s|QTDIR\/lib|QTDIR\/%{_lib}|g" src/SConscript
sed -i -e 's|-Wl,-rpath,\$QTDIR/%{_lib}||g' src/SConscript

#sed -i -e "s|lib\/libqt-mt|%{_lib}\/libqt-mt|g" \
#	src/build.definition

%scons \
    prefix=%{_prefix} \
    install_root=%{buildroot}%{_prefix} \
    qtdir=%{qt4dir} \
    djconsole=1 \
    optimize=0 \
    script=0 \
    shoutcast=1 \
    ladspa=0 \
    ipod=0 \
    hifieq=1 \
    ffmpeg=0 \
    vinylcontrol=1 \
    midiscript=1 \
    rawmidi=1 \
    tonal=1 \
    portmidi=0 \
    m4a=0 \
    tuned=0

%install
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:%{qt4lib}/pkgconfig
mkdir -p %{buildroot}%{_prefix}
%scons_install \
    prefix=%{_prefix} \
    install_root=%{buildroot}%{_prefix}

rm -fr %{buildroot}/%{_docdir}

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 src/mixxx.desktop %{buildroot}%{_datadir}/applications

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,128x128}/apps

install -m644 res/images/mixxx-icon.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/mixxx-icon.png
convert -resize 128x128 res/images/mixxx-icon.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/mixxx-icon.png
convert -resize 32x32 res/images/mixxx-icon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/mixxx-icon.png
convert -resize 16x16 res/images/mixxx-icon.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/mixxx-icon.png

# not needed
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%doc README LICENSE README.macro
%doc Mixxx-Manual.pdf
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.10.1-3.mga3
+ Revision: 360114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 1.10.1-2.mga3
+ Revision: 321851
- fix rpm group

* Thu Jun 28 2012 dams <dams> 1.10.1-1.mga3
+ Revision: 264686
- new version 1.10.1

* Mon Jan 02 2012 dams <dams> 1.10.0-1.mga2
+ Revision: 189638
- new version 1.10.0

* Sun Dec 18 2011 fwang <fwang> 1.9.2-2.mga2
+ Revision: 183665
- br qtwebkit

* Thu Nov 10 2011 dams <dams> 1.9.2-1.mga2
+ Revision: 166145
- new version 1.9.2
- clean specfile

* Thu Apr 07 2011 dams <dams> 1.9.0-2.mga1
+ Revision: 81673
- add 'qt4-database-plugin-sqlite' as a require

* Wed Apr 06 2011 dams <dams> 1.9.0-1.mga1
+ Revision: 81322
- clean, update 'BuildRequires', update scons options, update icon.png and update to 1.9.0
- clean, update 'BuildRequires', update scons options and update to 1.9.0
- clean, update 'BuildRequires' and update to 1.9.0
- clean, update 'BuildRequires' and update to 1.9.0
- Import, clean and update to 1.9.0
- Import, clean and update to 1.9.0
- imported package mixxx

